'apt-get update' warning on Ubuntu 14: signatures couldn't be verified because the public key is not available: NO_PUBKEY

Refers to:

  • Plesk 12.0 for Linux

Created:

2016-11-16 13:22:35 UTC

Modified:

2016-12-21 20:34:47 UTC

0

Was this article helpful?


Have more questions?

Submit a request

'apt-get update' warning on Ubuntu 14: signatures couldn't be verified because the public key is not available: NO_PUBKEY

Symptoms

The issue is specific to Ubuntu 14.04.

Plesk installation or execution of sudo apt-get update or sudo apt-get dist-upgrade gives the following warning:

Reading package lists... Done
W: GPG error: http://autoinstall.plesk.com trusty InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 227C38D6AF741DEB

Cause

This is Plesk internal issue #PPPM-3136 , which has been fixed in Plesk 12.0.

Resolution

Apply the latest Plesk microupdates .

Have more questions? Submit a request
Please sign in to leave a comment.